------------------------------------------------------------------------
r5133 | ahf | 2010-04-03 16:17:30 +0000 (Sat, 03 Apr 2010) | 1 line
Changed paths:
   M /irssi/trunk/NEWS

Preparation for 0.8.15, take two.
------------------------------------------------------------------------
r5132 | ahf | 2010-04-03 16:02:41 +0000 (Sat, 03 Apr 2010) | 1 line
Changed paths:
   M /irssi/trunk/configure.in

Remove dodgy check from configure.in. Thanks to exg.
------------------------------------------------------------------------
r5131 | ahf | 2010-04-02 19:39:54 +0000 (Fri, 02 Apr 2010) | 1 line
Changed paths:
   M /irssi/trunk/NEWS
   M /irssi/trunk/configure.in

Preparation for 0.8.15
------------------------------------------------------------------------
r5130 | ahf | 2010-03-25 22:15:15 +0000 (Thu, 25 Mar 2010) | 1 line
Changed paths:
   M /irssi/trunk/src/fe-common/core/window-commands.c

Minor documentation tweak. Thanks to suom1 and mofo.
------------------------------------------------------------------------
r5128 | coekie | 2010-03-21 20:54:04 +0000 (Sun, 21 Mar 2010) | 1 line
Changed paths:
   M /irssi/trunk/NEWS

complete NEWS
------------------------------------------------------------------------
r5127 | ahf | 2010-03-21 20:25:44 +0000 (Sun, 21 Mar 2010) | 1 line
Changed paths:
   M /irssi/trunk/NEWS
   M /irssi/trunk/configure.in

Slowly prepare for 0.8.15-rc1.
------------------------------------------------------------------------
r5126 | coekie | 2010-03-21 20:23:34 +0000 (Sun, 21 Mar 2010) | 1 line
Changed paths:
   M /irssi/trunk/src/core/nicklist.c

Fix crash when checking for fuzzy nick match when not on the channel. Reported by Aurelien Delaitre (SATE 2009)
------------------------------------------------------------------------
r5125 | ahf | 2010-03-21 20:06:10 +0000 (Sun, 21 Mar 2010) | 1 line
Changed paths:
   M /irssi/trunk/docs/help/in/server.in
   M /irssi/trunk/src/core/servers-setup.c
   M /irssi/trunk/src/core/servers-setup.h
   M /irssi/trunk/src/fe-common/core/fe-common-core.c
   M /irssi/trunk/src/fe-common/core/fe-server.c

Allow servers with the same server and port to be part of multiple networks. This should make life much easier for znc users. Thanks to Tykling, Bazerka and znx.
------------------------------------------------------------------------
r5124 | jilles | 2010-03-18 00:16:18 +0000 (Thu, 18 Mar 2010) | 6 lines
Changed paths:
   M /irssi/trunk/irssi.conf

irssi.conf: Improve /CALC alias:

* get rid of bashism
* use command -v instead of which
* use bc -l option which allows non-integer division results

------------------------------------------------------------------------
r5123 | jilles | 2010-02-27 22:45:27 +0000 (Sat, 27 Feb 2010) | 2 lines
Changed paths:
   M /irssi/trunk/src/fe-common/irc/fe-events-numeric.c

Show new charybdis +q list in channel window (numerics 728 and 729).

------------------------------------------------------------------------
r5122 | coekie | 2010-02-27 18:52:41 +0000 (Sat, 27 Feb 2010) | 1 line
Changed paths:
   M /irssi/trunk/src/irc/dcc/dcc-send.c

Use servertag from the active DCC chat when not connected anymore to the IRC server that started it. This fixes a crash with handling the DCC queue. Reported by Aurelien Delaitre (SATE 2009)
------------------------------------------------------------------------
r5121 | ahf | 2010-02-27 14:57:16 +0000 (Sat, 27 Feb 2010) | 10 lines
Changed paths:
   M /irssi/trunk/src/fe-text/gui-readline.c
   M /irssi/trunk/src/fe-text/term-curses.c
   M /irssi/trunk/src/fe-text/term-terminfo.c
   M /irssi/trunk/src/fe-text/term.h

Irssi now detects a paste if it reads at least three bytes in a single read;
subsequent reads are associated to the same paste if they happen before
'paste_detect_time' time since the last read. If no read occurs after
'paste_detect_time' time the paste buffer is flushed; if there is at least one
complete line its content is sent as a paste, otherwise it is processed
normally.

Thanks to Emanuele Giaquinta.


------------------------------------------------------------------------
r5120 | jilles | 2010-02-26 21:01:39 +0000 (Fri, 26 Feb 2010) | 9 lines
Changed paths:
   M /irssi/trunk/src/fe-common/irc/fe-events-numeric.c

Show "target changing too fast" messages in the channel/query window.

This is about numerics 707 (ratbox and derivatives) and
439 (most other ircds that implement target change
limitations).

If the channel is not yet joined, the message is still
shown in the status window.

------------------------------------------------------------------------
r5119 | coekie | 2010-02-25 19:42:58 +0000 (Thu, 25 Feb 2010) | 1 line
Changed paths:
   M /irssi/trunk/src/perl/perl-sources.c

Add missing include of misc.h for g_input_add_poll (Bug #740)
------------------------------------------------------------------------
r5118 | coekie | 2010-02-22 19:50:54 +0000 (Mon, 22 Feb 2010) | 1 line
Changed paths:
   M /irssi/trunk/autogen.sh

Make autogen fail if there is no lynx or links installed
------------------------------------------------------------------------
r5117 | coekie | 2010-02-22 19:37:18 +0000 (Mon, 22 Feb 2010) | 1 line
Changed paths:
   M /irssi/trunk/src/core/network-openssl.c

Fix compiling without ssl
------------------------------------------------------------------------
r5116 | jilles | 2010-02-19 17:29:10 +0000 (Fri, 19 Feb 2010) | 2 lines
Changed paths:
   M /irssi/trunk/src/core/network-openssl.c

network-openssl: Show why a certificate failed validation.

------------------------------------------------------------------------
r5115 | coekie | 2010-02-15 18:41:50 +0000 (Mon, 15 Feb 2010) | 1 line
Changed paths:
   M /irssi/trunk/irssi.conf

Change IRCnet server to open.ircnet.net
------------------------------------------------------------------------
r5112 | ahf | 2010-02-10 22:02:45 +0000 (Wed, 10 Feb 2010) | 1 line
Changed paths:
   M /irssi/trunk/default.theme

Make own nick and actions use default colour instead of white. Fixing ticket:729. Patch by: Tim Retout
------------------------------------------------------------------------
r5111 | ahf | 2010-02-09 20:15:08 +0000 (Tue, 09 Feb 2010) | 1 line
Changed paths:
   M /irssi/trunk/AUTHORS
   M /irssi/trunk/docs/help/in/who.in

Add NAMES to the WHO help entry. Patch by Thomas Karpiniec. Fixes ticket:728
------------------------------------------------------------------------
r5110 | ahf | 2010-02-09 20:11:08 +0000 (Tue, 09 Feb 2010) | 1 line
Changed paths:
   M /irssi/trunk/AUTHORS
   M /irssi/trunk/docs/perl.txt

Suffix != prefix. Patch by Ismael Luceno. Closes ticket:730
------------------------------------------------------------------------
r5109 | ahf | 2010-01-31 12:22:46 +0000 (Sun, 31 Jan 2010) | 1 line
Changed paths:
   M /irssi/trunk/autogen.sh

Use elinks if lynx is not present. From Ingmar Vanhassel of Exherbo fame.
------------------------------------------------------------------------
r5108 | jilles | 2010-01-31 00:15:25 +0000 (Sun, 31 Jan 2010) | 2 lines
Changed paths:
   M /irssi/trunk/src/core/network-openssl.c

Call OpenSSL_add_all_algorithms(), may be needed to verify SHA256 certs with certain versions of OpenSSL.

------------------------------------------------------------------------
r5107 | jilles | 2010-01-31 00:13:05 +0000 (Sun, 31 Jan 2010) | 5 lines
Changed paths:
   M /irssi/trunk/src/core/network-openssl.c

Use one SSL_CTX per connection, use default trusted CAs if nothing specified.

This allows useful use of -ssl_verify without
-ssl_cafile/-ssl_capath, using OpenSSL's default trusted CAs.

------------------------------------------------------------------------
r5106 | coekie | 2009-12-28 18:07:14 +0000 (Mon, 28 Dec 2009) | 1 line
Changed paths:
   M /irssi/trunk/NEWS

Fix active_window_ignore_refnum description
------------------------------------------------------------------------
r5105 | coekie | 2009-12-28 12:26:34 +0000 (Mon, 28 Dec 2009) | 1 line
Changed paths:
   M /irssi/trunk/NEWS

Update NEWS
------------------------------------------------------------------------
r5104 | coekie | 2009-12-28 12:15:18 +0000 (Mon, 28 Dec 2009) | 1 line
Changed paths:
   M /irssi/trunk/src/core/network-openssl.c
   M /irssi/trunk/src/core/network.h
   M /irssi/trunk/src/core/servers.c

Check if an SSL certificate matches the hostname of the server we are connecting to
------------------------------------------------------------------------
r5102 | exg | 2009-10-23 22:24:10 +0000 (Fri, 23 Oct 2009) | 2 lines
Changed paths:
   M /irssi/trunk/AUTHORS

Move myself to former developers.

------------------------------------------------------------------------
r5101 | exg | 2009-10-23 21:17:03 +0000 (Fri, 23 Oct 2009) | 3 lines
Changed paths:
   M /irssi/trunk/src/lib-config/write.c

Add forgotten g_io_channel_set_close_on_unref call to close the config file fd
after saving, patch by Sven Wegener.

------------------------------------------------------------------------
r5100 | jilles | 2009-09-06 21:27:38 +0000 (Sun, 06 Sep 2009) | 6 lines
Changed paths:
   M /irssi/trunk/src/perl/get-signals.pl

Make several signals without parameters available to perl again.
In particular, this includes the "beep" signal.

Submitted by Matt Sparks
Bug #674

------------------------------------------------------------------------
r5099 | jilles | 2009-09-06 20:47:18 +0000 (Sun, 06 Sep 2009) | 4 lines
Changed paths:
   M /irssi/trunk/src/fe-common/irc/fe-events-numeric.c

Show all nicks instead of just the first in an /accept * listing.

Bug #704

------------------------------------------------------------------------
r5098 | ahf | 2009-09-05 13:18:10 +0000 (Sat, 05 Sep 2009) | 1 line
Changed paths:
   M /irssi/trunk/docs/help/in/ban.in
   M /irssi/trunk/docs/help/in/exec.in

Documentation cleanup. Thanks to Remco Lanting.
------------------------------------------------------------------------
r5097 | jilles | 2009-09-02 21:46:57 +0000 (Wed, 02 Sep 2009) | 2 lines
Changed paths:
   M /irssi/trunk/docs/help/in/ban.in
   M /irssi/trunk/docs/help/in/exec.in
   M /irssi/trunk/docs/help/in/hilight.in
   M /irssi/trunk/docs/help/in/ignore.in
   M /irssi/trunk/docs/help/in/join.in
   M /irssi/trunk/docs/help/in/kick.in
   M /irssi/trunk/docs/help/in/load.in
   M /irssi/trunk/docs/help/in/oper.in
   M /irssi/trunk/docs/help/in/quit.in
   M /irssi/trunk/docs/help/in/statusbar.in

Helpfile improvements from "rudi_s".

------------------------------------------------------------------------
r5096 | jilles | 2009-09-02 21:22:37 +0000 (Wed, 02 Sep 2009) | 16 lines
Changed paths:
   M /irssi/trunk/src/fe-common/core/window-commands.c

Add active_window_ignore_refnum option

With active_window_ignore_refnum = ON, the current behavior
for the active_window key (meta-a by default) is preserved:
windows are cycled in the order of most recent activity,
highest activity first.

With active_window_ignore_refnum = OFF, the old behavior is
used: windows are cycled in the order of most recent
activity, where ties of equally high activity are broken by
refnums. Windows with lower refnums and equal activity will
be chosen first.

Submitted by Matt Sparks
Bug #667

------------------------------------------------------------------------
r5095 | jilles | 2009-09-02 20:55:13 +0000 (Wed, 02 Sep 2009) | 7 lines
Changed paths:
   M /irssi/trunk/src/core/network-openssl.c

Tell OpenSSL that our write buffer may move (although the content remains the same).
This fixes disconnects when sending large amounts of data
to the server.
Note that it assumes that write retries will retry the same
data; a reasonable assumption, but it is not necessary for
any normal write().

------------------------------------------------------------------------
r5085 | jilles | 2009-08-13 21:16:22 +0000 (Thu, 13 Aug 2009) | 2 lines
Changed paths:
   M /irssi/trunk/src/fe-common/core/fe-log.c

autolog: change some characters illegal in Windows filenames to underscores

------------------------------------------------------------------------
r5084 | ahf | 2009-07-29 11:59:23 +0000 (Wed, 29 Jul 2009) | 1 line
Changed paths:
   M /irssi/trunk/configure.in

Trunk is now 0.8.14-svn.
------------------------------------------------------------------------
r5083 | ahf | 2009-07-29 11:48:08 +0000 (Wed, 29 Jul 2009) | 1 line
Changed paths:
   M /irssi/trunk/src/fe-common/irc/module-formats.c

s/Splitted/Split/. Typo spotted by Gerfried Fuchs (Rhonda at IRCnet)
------------------------------------------------------------------------
r5081 | ahf | 2009-07-28 19:38:36 +0000 (Tue, 28 Jul 2009) | 1 line
Changed paths:
   M /irssi/trunk/NEWS
   M /irssi/trunk/configure.in

Release: 0.8.14
------------------------------------------------------------------------
r5080 | ahf | 2009-07-22 19:45:51 +0000 (Wed, 22 Jul 2009) | 1 line
Changed paths:
   M /irssi/trunk/src/fe-common/core/fe-log.c

Move the autolog_ignore_targets logic a bit around; fixes #673.
------------------------------------------------------------------------
r5079 | ahf | 2009-06-07 11:50:55 +0000 (Sun, 07 Jun 2009) | 1 line
Changed paths:
   M /irssi/trunk/NEWS

Typo spotted by RichiH.
------------------------------------------------------------------------
r5078 | ahf | 2009-06-04 21:04:59 +0000 (Thu, 04 Jun 2009) | 1 line
Changed paths:
   M /irssi/trunk/irssi.conf

Make /reset an alias for /set -default and /unset an alias for /set -clear.
------------------------------------------------------------------------
r5076 | ahf | 2009-05-24 15:51:49 +0000 (Sun, 24 May 2009) | 1 line
Changed paths:
   M /irssi/trunk/irssi.conf

We got #irssi on IRCnet back. Fix irssi.conf to reflect this.
------------------------------------------------------------------------
r5075 | jilles | 2009-05-22 12:48:02 +0000 (Fri, 22 May 2009) | 2 lines
Changed paths:
   M /irssi/trunk/src/fe-text/gui-readline.c

Allow ctrl+home/ctrl+end to go to the beginning/end of scrollback.

------------------------------------------------------------------------
r5068 | jilles | 2009-05-15 11:54:33 +0000 (Fri, 15 May 2009) | 5 lines
Changed paths:
   M /irssi/trunk/src/fe-common/irc/fe-events.c

Fix out of bounds access in event_wallops().

bug #662
Submitted by: nemo

------------------------------------------------------------------------
r5065 | jilles | 2009-05-13 21:01:55 +0000 (Wed, 13 May 2009) | 4 lines
Changed paths:
   M /irssi/trunk/irssi-version.sh

Do not put a space between awk's -F and its argument.
Solaris's /usr/bin/awk chokes on the space.
Bug #672

------------------------------------------------------------------------
r5064 | jilles | 2009-05-13 19:27:20 +0000 (Wed, 13 May 2009) | 11 lines
Changed paths:
   M /irssi/trunk/src/irc/core/servers-redirect.c

Accept 354 (WHOX reply) as a /who reply too (for redirection).

Ignore the parameters for matching because 354 does
not have a fixed format.

This helps irssi-proxy with clients that use WHOX,
such as xchat (away checking). WHOX works on ircu
and charybdis 3.1 servers.

Bug #671

------------------------------------------------------------------------
r5063 | Geert | 2009-04-27 19:00:48 +0000 (Mon, 27 Apr 2009) | 2 lines
Changed paths:
   M /irssi/trunk/irssi.conf

Renamed IRCnet #irssi to #irssi.org

------------------------------------------------------------------------
r5062 | jilles | 2009-04-26 20:54:49 +0000 (Sun, 26 Apr 2009) | 5 lines
Changed paths:
   M /irssi/trunk/Makefile.am

Fix make install without write privilege to the source directory
by not using a temp file in there for irssi-version.h.
Note that this will still not work if the source has changed
since it was compiled, but that is to be expected.

------------------------------------------------------------------------
r5060 | jilles | 2009-04-17 12:42:41 +0000 (Fri, 17 Apr 2009) | 4 lines
Changed paths:
   M /irssi/trunk/src/fe-common/core/fe-core-commands.c

Ensure type matches format string in /uptime.
Garbled output could happen if time_t was a different size from long.
bug #665

------------------------------------------------------------------------
r5059 | exg | 2009-04-05 19:04:25 +0000 (Sun, 05 Apr 2009) | 2 lines
Changed paths:
   M /irssi/trunk/src/irc/notifylist/notify-ison.c

Remove leftover.

------------------------------------------------------------------------
r5058 | exg | 2009-04-05 18:04:59 +0000 (Sun, 05 Apr 2009) | 2 lines
Changed paths:
   M /irssi/trunk/src/perl/perl-core.c

Fix r4998 change, declare 'environ'.

------------------------------------------------------------------------
r5057 | jilles | 2009-04-03 22:09:17 +0000 (Fri, 03 Apr 2009) | 4 lines
Changed paths:
   M /irssi/trunk/src/core/misc.c

Make the time duration parser stricter.
This makes  /set server_reconnect_time = 10min  fail
instead of setting the time to 0.

------------------------------------------------------------------------
r5056 | jilles | 2009-04-03 17:49:58 +0000 (Fri, 03 Apr 2009) | 7 lines
Changed paths:
   M /irssi/trunk/src/fe-common/irc/fe-events-numeric.c

Show numerics directed at channels in the channel window.
This is about numerics where the target parameter is
a channel, i.e.  ":<server> <numeric> <#channel> ..."
Usually, this parameter is the user's nick or an asterisk.
An example is the numeric ircd-ratbox and charybdis send
to channel operators on a successful /knock.

------------------------------------------------------------------------
r5054 | coekie | 2009-03-31 21:01:42 +0000 (Tue, 31 Mar 2009) | 1 line
Changed paths:
   M /irssi/trunk/NEWS
   M /irssi/trunk/configure.in

Release 0.8.13
------------------------------------------------------------------------
r5041 | coekie | 2009-03-18 19:16:34 +0000 (Wed, 18 Mar 2009) | 1 line
Changed paths:
   M /irssi/trunk/configure.in

Release 0.8.13-rc1
------------------------------------------------------------------------
r5040 | coekie | 2009-03-15 16:25:42 +0000 (Sun, 15 Mar 2009) | 1 line
Changed paths:
   M /irssi/trunk/src/irc/notifylist/notifylist.c

Correct previous commit: fix away checking
------------------------------------------------------------------------
r5039 | coekie | 2009-03-10 22:18:01 +0000 (Tue, 10 Mar 2009) | 1 line
Changed paths:
   M /irssi/trunk/NEWS
   M /irssi/trunk/src/irc/notifylist/notifylist.c

Fix /NOTIFY list when nick is seen joining (bug #642)
------------------------------------------------------------------------
r5038 | coekie | 2009-03-10 21:36:35 +0000 (Tue, 10 Mar 2009) | 1 line
Changed paths:
   M /irssi/trunk/NEWS
   M /irssi/trunk/src/irc/proxy/dump.c

Include hostmask in 001 event sent by proxy (bug #650)
------------------------------------------------------------------------
r5037 | coekie | 2009-03-10 21:16:16 +0000 (Tue, 10 Mar 2009) | 1 line
Changed paths:
   M /irssi/trunk/docs/signals.txt

Add "window item moved" (added in r5012) to signals.txt
------------------------------------------------------------------------
r5036 | coekie | 2009-03-10 20:38:53 +0000 (Tue, 10 Mar 2009) | 1 line
Changed paths:
   M /irssi/trunk/AUTHORS
   M /irssi/trunk/NEWS

Update AUTHORS and NEWS
------------------------------------------------------------------------
r5035 | jilles | 2009-03-10 18:12:04 +0000 (Tue, 10 Mar 2009) | 2 lines
Changed paths:
   M /irssi/trunk/docs/signals.txt

Add "default event numeric" to signals.txt.

------------------------------------------------------------------------
r5034 | ahf | 2009-03-04 18:09:52 +0000 (Wed, 04 Mar 2009) | 1 line
Changed paths:
   M /irssi/trunk/README

Remove authors info from README
------------------------------------------------------------------------
r5033 | ahf | 2009-03-01 22:05:42 +0000 (Sun, 01 Mar 2009) | 1 line
Changed paths:
   M /irssi/trunk/NEWS

Add autolog_ignore_targets entry to the NEWS file.
------------------------------------------------------------------------
r5032 | jilles | 2009-03-01 00:22:29 +0000 (Sun, 01 Mar 2009) | 2 lines
Changed paths:
   M /irssi/trunk/src/fe-text/gui-windows.c
   M /irssi/trunk/src/irc/core/netsplit.c

Remove unused variables.

------------------------------------------------------------------------
r5031 | jilles | 2009-02-28 23:09:33 +0000 (Sat, 28 Feb 2009) | 2 lines
Changed paths:
   M /irssi/trunk/src/core/network-openssl.c

Remove unused variable.

------------------------------------------------------------------------
r5030 | jilles | 2009-02-28 22:48:41 +0000 (Sat, 28 Feb 2009) | 4 lines
Changed paths:
   M /irssi/trunk/src/irc/core/irc.c

Ensure variable is initialized.
Make sure not to set connection_lost if the server was
already disconnected.

------------------------------------------------------------------------
r5029 | exg | 2009-02-28 21:51:53 +0000 (Sat, 28 Feb 2009) | 2 lines
Changed paths:
   M /irssi/trunk/src/fe-common/core/window-items.c

Remove unused variable.

------------------------------------------------------------------------
r5028 | exg | 2009-02-28 21:41:47 +0000 (Sat, 28 Feb 2009) | 2 lines
Changed paths:
   M /irssi/trunk/src/core/network.c

Remove unused variable.

------------------------------------------------------------------------
r5027 | jilles | 2009-02-28 20:51:22 +0000 (Sat, 28 Feb 2009) | 3 lines
Changed paths:
   M /irssi/trunk/src/core/expandos.c

Correct assertions.
Found using llvm static analyzer.

------------------------------------------------------------------------
r5026 | jilles | 2009-02-28 18:15:14 +0000 (Sat, 28 Feb 2009) | 3 lines
Changed paths:
   M /irssi/trunk/src/irc/core/irc-servers.c
   M /irssi/trunk/src/irc/core/irc-servers.h
   M /irssi/trunk/src/irc/core/irc.c

Add the command send/expire timeout only when needed.
This was the last always-on <1s timer.

------------------------------------------------------------------------
r5025 | jilles | 2009-02-28 18:02:48 +0000 (Sat, 28 Feb 2009) | 3 lines
Changed paths:
   M /irssi/trunk/src/core/expandos.c

Once a second seems sufficient for the expando timer.
These seem to change once a second at most, typically.

------------------------------------------------------------------------
r5024 | jilles | 2009-02-28 12:43:00 +0000 (Sat, 28 Feb 2009) | 4 lines
Changed paths:
   M /irssi/trunk/src/irc/flood/flood.c

Check for stale flood entries when lines come in, avoiding a 0.5 second timeout.
The timeout is now every 5 seconds and serves to
remove entries that do not send messages anymore.

------------------------------------------------------------------------
r5023 | jilles | 2009-02-27 14:32:33 +0000 (Fri, 27 Feb 2009) | 4 lines
Changed paths:
   M /irssi/trunk/src/core/chat-commands.c
   M /irssi/trunk/src/fe-common/core/fe-channels.c
   M /irssi/trunk/src/fe-common/core/fe-core-commands.c

Move to a single /join function, avoiding confusion on "/join -window".
patch by exg
bug #644, thanks for the useful bug report

------------------------------------------------------------------------
r5022 | jilles | 2009-02-27 14:20:35 +0000 (Fri, 27 Feb 2009) | 2 lines
Changed paths:
   M /irssi/trunk/src/fe-text/term-terminfo.c

Check for SIGCONT using a custom GSource instead of every 0.5 second.

------------------------------------------------------------------------
r5021 | jilles | 2009-02-21 21:17:51 +0000 (Sat, 21 Feb 2009) | 3 lines
Changed paths:
   M /irssi/trunk/src/core/ignore.c
   M /irssi/trunk/src/core/levels.c
   M /irssi/trunk/src/core/levels.h
   M /irssi/trunk/src/core/log.c
   M /irssi/trunk/src/core/settings.c
   M /irssi/trunk/src/fe-common/core/fe-core-commands.c
   M /irssi/trunk/src/fe-common/core/fe-exec.c
   M /irssi/trunk/src/fe-common/core/fe-log.c
   M /irssi/trunk/src/fe-common/core/hilight-text.c
   M /irssi/trunk/src/fe-common/core/windows-layout.c
   M /irssi/trunk/src/fe-text/textbuffer-commands.c
   M /irssi/trunk/src/perl/common/Core.xs

Reject invalid level specifications in /set.
Most of these have names that end in "_level".

------------------------------------------------------------------------
r5020 | jilles | 2009-02-21 17:55:12 +0000 (Sat, 21 Feb 2009) | 2 lines
Changed paths:
   M /irssi/trunk/src/irc/core/modes.c
   M /irssi/trunk/src/irc/core/modes.h

Make explicit how long the arrays for prefix_add and prefix_del are.

------------------------------------------------------------------------
r5019 | jilles | 2009-02-21 17:34:13 +0000 (Sat, 21 Feb 2009) | 2 lines
Changed paths:
   M /irssi/trunk/src/fe-common/core/fe-settings.c

Use i_isspace to make this clearer.

------------------------------------------------------------------------
r5018 | jilles | 2009-02-21 17:22:32 +0000 (Sat, 21 Feb 2009) | 2 lines
Changed paths:
   M /irssi/trunk/src/fe-common/core/fe-settings.c

Make an invalid boolean /set a CLIENTERROR instead of CLIENTCRAP.

------------------------------------------------------------------------
r5017 | jilles | 2009-02-21 17:20:13 +0000 (Sat, 21 Feb 2009) | 5 lines
Changed paths:
   M /irssi/trunk/src/fe-common/core/fe-settings.c
   M /irssi/trunk/src/fe-common/core/module-formats.c
   M /irssi/trunk/src/fe-common/core/module-formats.h

Reject obviously invalid numbers in /set.
A limitation of the settings model is that any value
that fits in an int is accepted, e.g. negative port
numbers.

------------------------------------------------------------------------
r5012 | coekie | 2009-02-13 18:57:55 +0000 (Fri, 13 Feb 2009) | 1 line
Changed paths:
   M /irssi/trunk/src/fe-common/core/window-items.c

emit "window item moved" instead of "window item remove" and "window item new" when a window item is moved to another window
------------------------------------------------------------------------
r5010 | ahf | 2009-02-10 20:45:27 +0000 (Tue, 10 Feb 2009) | 1 line
Changed paths:
   M /irssi/trunk/src/core/log.c
   M /irssi/trunk/src/fe-common/core/completion.c
   M /irssi/trunk/src/fe-common/core/fe-log.c

Prefer g_path_get_dirname() over g_dirname().
------------------------------------------------------------------------
r5009 | ahf | 2009-02-10 12:59:49 +0000 (Tue, 10 Feb 2009) | 1 line
Changed paths:
   M /irssi/trunk/docs/signals.txt

Add "window dehilight" to signals.txt
------------------------------------------------------------------------
r5008 | ahf | 2009-02-09 20:11:27 +0000 (Mon, 09 Feb 2009) | 2 lines
Changed paths:
   M /irssi/trunk/AUTHORS

Convert AUTHORS to UTF-8.

------------------------------------------------------------------------
r5007 | ahf | 2009-02-09 20:01:49 +0000 (Mon, 09 Feb 2009) | 2 lines
Changed paths:
   M /irssi/trunk/AUTHORS

Add myself to AUTHORS.

------------------------------------------------------------------------
r5006 | ahf | 2009-02-09 20:00:17 +0000 (Mon, 09 Feb 2009) | 3 lines
Changed paths:
   M /irssi/trunk/src/fe-common/core/fe-log.c

Add /set autolog_ignore_targets.
Allows you to avoid specific targets from being logged via autolog.

------------------------------------------------------------------------
r5005 | ahf | 2009-02-09 17:51:24 +0000 (Mon, 09 Feb 2009) | 3 lines
Changed paths:
   M /irssi/trunk/src/fe-common/core/fe-log.c

Don't tokenizee target since it wont contain more than one entry anyway.
Poke me if this breaks for you.

------------------------------------------------------------------------
r5004 | ahf | 2009-02-08 17:57:19 +0000 (Sun, 08 Feb 2009) | 4 lines
Changed paths:
   M /irssi/trunk/src/core/servers.c
   M /irssi/trunk/src/core/settings.c
   M /irssi/trunk/src/fe-common/core/fe-messages.c
   M /irssi/trunk/src/fe-common/irc/fe-irc-commands.c
   M /irssi/trunk/src/irc/core/ctcp.c
   M /irssi/trunk/src/irc/core/irc-commands.c
   M /irssi/trunk/src/irc/core/modes.c
   M /irssi/trunk/src/irc/dcc/dcc-get.c
   M /irssi/trunk/src/irc/proxy/dump.c
   M /irssi/trunk/src/irc/proxy/listen.c
   M /irssi/trunk/src/perl/perl-common.c
   M /irssi/trunk/src/perl/perl-core.c

Code Cleanup:
Use g_string_printf() instead of g_string_sprintf() (which is considered deprecated.)


------------------------------------------------------------------------
r5003 | ahf | 2009-02-08 17:22:42 +0000 (Sun, 08 Feb 2009) | 3 lines
Changed paths:
   M /irssi/trunk/src/core/channels.c
   M /irssi/trunk/src/core/levels.c
   M /irssi/trunk/src/core/session.c
   M /irssi/trunk/src/core/settings.c
   M /irssi/trunk/src/fe-common/core/fe-channels.c
   M /irssi/trunk/src/fe-common/core/fe-core-commands.c
   M /irssi/trunk/src/fe-common/core/fe-ignore.c
   M /irssi/trunk/src/fe-common/core/fe-log.c
   M /irssi/trunk/src/fe-common/core/fe-messages.c
   M /irssi/trunk/src/fe-common/core/hilight-text.c
   M /irssi/trunk/src/fe-common/core/printtext.c
   M /irssi/trunk/src/fe-common/irc/fe-irc-server.c
   M /irssi/trunk/src/fe-common/irc/fe-ircnet.c
   M /irssi/trunk/src/fe-common/irc/fe-netjoin.c
   M /irssi/trunk/src/fe-common/irc/fe-netsplit.c
   M /irssi/trunk/src/fe-common/irc/notifylist/fe-notifylist.c
   M /irssi/trunk/src/fe-text/mainwindows.c
   M /irssi/trunk/src/fe-text/statusbar.c
   M /irssi/trunk/src/fe-text/textbuffer.c
   M /irssi/trunk/src/irc/core/bans.c
   M /irssi/trunk/src/irc/core/channel-rejoin.c
   M /irssi/trunk/src/irc/core/irc-channels.c
   M /irssi/trunk/src/irc/core/irc-servers.c
   M /irssi/trunk/src/irc/core/irc.c
   M /irssi/trunk/src/irc/core/modes.c
   M /irssi/trunk/src/irc/notifylist/notify-ison.c
   M /irssi/trunk/src/irc/proxy/dump.c
   M /irssi/trunk/src/lib-config/get.c
   M /irssi/trunk/src/lib-config/write.c
   M /irssi/trunk/src/perl/perl-common.c

Code Cleanup:
Use g_string_append_printf() instead of g_string_sprintfa() (which is considered deprecated.)

------------------------------------------------------------------------
r5002 | ahf | 2009-02-07 23:03:24 +0000 (Sat, 07 Feb 2009) | 1 line
Changed paths:
   M /irssi/trunk/src/fe-common/core/fe-common-core.c
   M /irssi/trunk/src/fe-common/core/fe-common-core.h
   M /irssi/trunk/src/fe-common/core/window-activity.c

Add strarray_find_dest(). Useful for checking whether a server_tag/target or target is found in a vector of strings.
------------------------------------------------------------------------
r4998 | exg | 2009-01-23 17:57:49 +0000 (Fri, 23 Jan 2009) | 2 lines
Changed paths:
   M /irssi/trunk/src/perl/perl-core.c

Call PERL_SYS_INIT3() and PERL_SYS_TERM() as documented in perlembed(1).

------------------------------------------------------------------------
r4997 | exg | 2009-01-23 17:48:32 +0000 (Fri, 23 Jan 2009) | 2 lines
Changed paths:
   M /irssi/trunk/docs/crash.txt

Suggest a better method to provide a backtrace with gdb.

------------------------------------------------------------------------
r4996 | exg | 2009-01-20 14:15:01 +0000 (Tue, 20 Jan 2009) | 2 lines
Changed paths:
   M /irssi/trunk/docs/design.txt
   M /irssi/trunk/src/core/commands.c

Fix 'defination' typo.

------------------------------------------------------------------------
r4995 | exg | 2009-01-18 12:46:57 +0000 (Sun, 18 Jan 2009) | 2 lines
Changed paths:
   M /irssi/trunk/src/fe-text/textbuffer-view.c

Replace invalid utf-8 bytes with U+FFFD when drawing a line.

------------------------------------------------------------------------
r4994 | exg | 2009-01-18 11:55:27 +0000 (Sun, 18 Jan 2009) | 2 lines
Changed paths:
   M /irssi/trunk/src/fe-common/core/printtext.c

Emit 'print starting' with the correct argument in printtext_string{,window}.

------------------------------------------------------------------------
r4993 | exg | 2009-01-17 22:33:29 +0000 (Sat, 17 Jan 2009) | 3 lines
Changed paths:
   M /irssi/trunk/src/perl/ui/Window.xs

Add Irssi::UI::Window::get_history_lines to get the content of a window's
history.

------------------------------------------------------------------------
r4992 | exg | 2009-01-17 22:28:47 +0000 (Sat, 17 Jan 2009) | 2 lines
Changed paths:
   M /irssi/trunk/src/perl/perl-core.c

Revert r4871, it breaks /script reset.

------------------------------------------------------------------------
r4991 | exg | 2009-01-16 22:02:02 +0000 (Fri, 16 Jan 2009) | 3 lines
Changed paths:
   M /irssi/trunk/src/perl/perl-core.c

Properly unload the original script when using /script load to reload it.
bug #525, patch by Lukas Mai.

------------------------------------------------------------------------
r4990 | exg | 2009-01-16 17:12:27 +0000 (Fri, 16 Jan 2009) | 2 lines
Changed paths:
   M /irssi/trunk/src/lib-config/iconfig.h
   M /irssi/trunk/src/lib-config/parse.c
   M /irssi/trunk/src/lib-config/write.c

Use an io channel to write the config file.

------------------------------------------------------------------------
r4989 | jilles | 2009-01-15 22:21:31 +0000 (Thu, 15 Jan 2009) | 3 lines
Changed paths:
   M /irssi/trunk/src/perl/perl-core.c

Use PERL_SYS_INIT3 with the correct pointer type for argv.
This fixes perl crashes on startup on some machines.

------------------------------------------------------------------------
r4988 | exg | 2009-01-15 11:14:51 +0000 (Thu, 15 Jan 2009) | 2 lines
Changed paths:
   M /irssi/trunk/docs/help/in/dcc.in

Doc fix.

------------------------------------------------------------------------
r4987 | exg | 2009-01-15 11:02:23 +0000 (Thu, 15 Jan 2009) | 2 lines
Changed paths:
   M /irssi/trunk/src/perl/perl-fe.c

Fix minor leak.

------------------------------------------------------------------------
r4986 | exg | 2009-01-15 10:34:46 +0000 (Thu, 15 Jan 2009) | 2 lines
Changed paths:
   M /irssi/trunk/INSTALL

We require perl-5.6.

------------------------------------------------------------------------
r4985 | exg | 2009-01-14 17:53:57 +0000 (Wed, 14 Jan 2009) | 2 lines
Changed paths:
   M /irssi/trunk/src/lib-config/get.c
   M /irssi/trunk/src/lib-config/iconfig.h

Remove unused and odd function.

------------------------------------------------------------------------
r4984 | exg | 2009-01-14 17:19:42 +0000 (Wed, 14 Jan 2009) | 2 lines
Changed paths:
   M /irssi/trunk/src/lib-config/iconfig.h

Fix typos.

------------------------------------------------------------------------
r4983 | exg | 2009-01-13 18:51:25 +0000 (Tue, 13 Jan 2009) | 2 lines
Changed paths:
   M /irssi/trunk/src/fe-text/gui-printtext.c

Fix last change.

------------------------------------------------------------------------
r4982 | exg | 2009-01-13 18:31:31 +0000 (Tue, 13 Jan 2009) | 2 lines
Changed paths:
   M /irssi/trunk/src/fe-common/core/formats.c
   M /irssi/trunk/src/fe-common/core/formats.h
   M /irssi/trunk/src/fe-text/textbuffer-view.c
   M /irssi/trunk/src/fe-text/textbuffer.c
   M /irssi/trunk/src/fe-text/textbuffer.h

Remove broken and unused format to add an indent function to a line.

------------------------------------------------------------------------
r4981 | exg | 2009-01-10 18:38:08 +0000 (Sat, 10 Jan 2009) | 2 lines
Changed paths:
   M /irssi/trunk/src/fe-text/Makefile.am
   M /irssi/trunk/src/fe-text/irssi.c
   M /irssi/trunk/src/fe-text/textbuffer-commands.c
   D /irssi/trunk/src/fe-text/textbuffer-reformat.c
   D /irssi/trunk/src/fe-text/textbuffer-reformat.h
   M /irssi/trunk/src/fe-text/textbuffer-view.c
   M /irssi/trunk/src/fe-text/textbuffer.c
   M /irssi/trunk/src/fe-text/textbuffer.h

Remove buggy /scrollback redraw - scrollback_save_formats.

------------------------------------------------------------------------
r4980 | exg | 2009-01-10 17:57:38 +0000 (Sat, 10 Jan 2009) | 2 lines
Changed paths:
   M /irssi/trunk/src/fe-common/core/formats.c

Use window_get_theme.

------------------------------------------------------------------------
r4979 | exg | 2009-01-10 15:00:06 +0000 (Sat, 10 Jan 2009) | 4 lines
Changed paths:
   M /irssi/trunk/src/fe-common/core/printtext.c
   M /irssi/trunk/src/fe-common/core/printtext.h
   M /irssi/trunk/src/perl/ui/Themes.xs

Factor out printformat_module_dest_charargs function from
printformat_module_dest_args and use it in printformat_perl to remove code
duplication.

------------------------------------------------------------------------
r4978 | exg | 2009-01-08 12:39:11 +0000 (Thu, 08 Jan 2009) | 2 lines
Changed paths:
   M /irssi/trunk/src/fe-text/textbuffer.c

Remove memory chunks in favour of memory slices.

------------------------------------------------------------------------
r4977 | exg | 2009-01-08 11:39:27 +0000 (Thu, 08 Jan 2009) | 3 lines
Changed paths:
   M /irssi/trunk/src/common.h

Add defines for memory slices functions for compatibility with glib
versions older than 2.10.

------------------------------------------------------------------------
r4976 | exg | 2009-01-04 15:56:54 +0000 (Sun, 04 Jan 2009) | 2 lines
Changed paths:
   M /irssi/trunk/src/fe-text/textbuffer.c

Remove useless code, cur_line is always the last line of the textbuffer.

------------------------------------------------------------------------
r4975 | exg | 2008-12-30 11:51:27 +0000 (Tue, 30 Dec 2008) | 2 lines
Changed paths:
   M /irssi/trunk/src/core/pidwait.c

Rewrite pidwait using g_child_watch_add.

------------------------------------------------------------------------
r4974 | exg | 2008-12-30 10:39:21 +0000 (Tue, 30 Dec 2008) | 2 lines
Changed paths:
   M /irssi/trunk/src/fe-common/core/fe-exec.c

recvlen must be signed.

------------------------------------------------------------------------
r4973 | exg | 2008-12-30 01:20:09 +0000 (Tue, 30 Dec 2008) | 2 lines
Changed paths:
   M /irssi/trunk/src/fe-common/core/fe-exec.c

Use net_receive in sig_exec_input_reader.

------------------------------------------------------------------------
r4972 | exg | 2008-12-22 01:07:11 +0000 (Mon, 22 Dec 2008) | 3 lines
Changed paths:
   M /irssi/trunk/src/irc/core/irc-servers.c

Check server's connected flag rather than net-sendbuffer pointers in
sig_server_quit.

------------------------------------------------------------------------
r4971 | exg | 2008-12-22 00:11:33 +0000 (Mon, 22 Dec 2008) | 2 lines
Changed paths:
   M /irssi/trunk/src/core/core.c
   M /irssi/trunk/src/core/net-sendbuffer.c
   M /irssi/trunk/src/core/net-sendbuffer.h

Remove useless net-sendbuffer init/deinit functions.

------------------------------------------------------------------------
r4970 | exg | 2008-12-22 00:06:49 +0000 (Mon, 22 Dec 2008) | 2 lines
Changed paths:
   M /irssi/trunk/src/core/net-sendbuffer.c

Remove buffers GSList, it is unused since r1023.
[--snip--]
